| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Protected Member Functions
Tp::MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 > Class Template Reference
Utililty classes

The MethodInvocationContext class provides a way for the service implementation to respond to method calls. More...

`#include <TelepathyQt/MethodInvocationContext>`

Inherits Tp::RefCounted.

List of all members.

## Public Member Functions

- MethodInvocationContext (const QDBusConnection &bus, const QDBusMessage &message)
- virtual ~MethodInvocationContext ()
- bool isFinished () const
- bool isError () const
- QString errorName () const
- QString errorMessage () const
- void setFinished (const T1 &t1=T1(), const T2 &t2=T2(), const T3 &t3=T3(), const T4 &t4=T4(), const T5 &t5=T5(), const T6 &t6=T6(), const T7 &t7=T7(), const T8 &t8=T8())
- void setFinishedWithError (const QString &errorName, const QString &errorMessage)
- template<int Index> Select< Index >::Type argumentAt () const

## Protected Member Functions

- virtual void onFinished ()

## Detailed Description

### template<typename T1 = MethodInvocationContextTypes::Nil, typename T2 = MethodInvocationContextTypes::Nil, typename T3 = MethodInvocationContextTypes::Nil, typename T4 = MethodInvocationContextTypes::Nil, typename T5 = MethodInvocationContextTypes::Nil, typename T6 = MethodInvocationContextTypes::Nil, typename T7 = MethodInvocationContextTypes::Nil, typename T8 = MethodInvocationContextTypes::Nil>
class Tp::MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 >

The MethodInvocationContext class provides a way for the service implementation to respond to method calls.

The methods setFinished() and setFinishedWithError() can be used to indicate whether the method call succeeded or failed.

If neither setFinished() nor setFinishedWithError() is called explicitly, the method call will be considered to have failed.

" In case an asynchronous operation needs to be performed when implementing a method call receiving a MethodInvocationContextPtr object, a reference to this object may be kept around until all asynchronous operations finish, and the appropriate finish method should be called to indicate whether the method call succeeded or failed later.

## Constructor & Destructor Documentation

template<typename T1 = MethodInvocationContextTypes::Nil, typename T2 = MethodInvocationContextTypes::Nil, typename T3 = MethodInvocationContextTypes::Nil, typename T4 = MethodInvocationContextTypes::Nil, typename T5 = MethodInvocationContextTypes::Nil, typename T6 = MethodInvocationContextTypes::Nil, typename T7 = MethodInvocationContextTypes::Nil, typename T8 = MethodInvocationContextTypes::Nil>

Tp::MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 >::MethodInvocationContext | ( | const QDBusConnection & | bus,
|  | const QDBusMessage & | message
| ) |  | `[inline]`

template<typename T1 = MethodInvocationContextTypes::Nil, typename T2 = MethodInvocationContextTypes::Nil, typename T3 = MethodInvocationContextTypes::Nil, typename T4 = MethodInvocationContextTypes::Nil, typename T5 = MethodInvocationContextTypes::Nil, typename T6 = MethodInvocationContextTypes::Nil, typename T7 = MethodInvocationContextTypes::Nil, typename T8 = MethodInvocationContextTypes::Nil>

virtual Tp::MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 >::~MethodInvocationContext | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<typename T1 = MethodInvocationContextTypes::Nil, typename T2 = MethodInvocationContextTypes::Nil, typename T3 = MethodInvocationContextTypes::Nil, typename T4 = MethodInvocationContextTypes::Nil, typename T5 = MethodInvocationContextTypes::Nil, typename T6 = MethodInvocationContextTypes::Nil, typename T7 = MethodInvocationContextTypes::Nil, typename T8 = MethodInvocationContextTypes::Nil>

bool Tp::MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 >::isFinished | ( |  | ) | const`[inline]`

template<typename T1 = MethodInvocationContextTypes::Nil, typename T2 = MethodInvocationContextTypes::Nil, typename T3 = MethodInvocationContextTypes::Nil, typename T4 = MethodInvocationContextTypes::Nil, typename T5 = MethodInvocationContextTypes::Nil, typename T6 = MethodInvocationContextTypes::Nil, typename T7 = MethodInvocationContextTypes::Nil, typename T8 = MethodInvocationContextTypes::Nil>

bool Tp::MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 >::isError | ( |  | ) | const`[inline]`

template<typename T1 = MethodInvocationContextTypes::Nil, typename T2 = MethodInvocationContextTypes::Nil, typename T3 = MethodInvocationContextTypes::Nil, typename T4 = MethodInvocationContextTypes::Nil, typename T5 = MethodInvocationContextTypes::Nil, typename T6 = MethodInvocationContextTypes::Nil, typename T7 = MethodInvocationContextTypes::Nil, typename T8 = MethodInvocationContextTypes::Nil>

QString Tp::MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 >::errorName | ( |  | ) | const`[inline]`

template<typename T1 = MethodInvocationContextTypes::Nil, typename T2 = MethodInvocationContextTypes::Nil, typename T3 = MethodInvocationContextTypes::Nil, typename T4 = MethodInvocationContextTypes::Nil, typename T5 = MethodInvocationContextTypes::Nil, typename T6 = MethodInvocationContextTypes::Nil, typename T7 = MethodInvocationContextTypes::Nil, typename T8 = MethodInvocationContextTypes::Nil>

QString Tp::MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 >::errorMessage | ( |  | ) | const`[inline]`

template<typename T1 = MethodInvocationContextTypes::Nil, typename T2 = MethodInvocationContextTypes::Nil, typename T3 = MethodInvocationContextTypes::Nil, typename T4 = MethodInvocationContextTypes::Nil, typename T5 = MethodInvocationContextTypes::Nil, typename T6 = MethodInvocationContextTypes::Nil, typename T7 = MethodInvocationContextTypes::Nil, typename T8 = MethodInvocationContextTypes::Nil>

void Tp::MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 >::setFinished | ( | const T1 & | t1 = `T1()`,
|  | const T2 & | t2 = `T2()`,
|  | const T3 & | t3 = `T3()`,
|  | const T4 & | t4 = `T4()`,
|  | const T5 & | t5 = `T5()`,
|  | const T6 & | t6 = `T6()`,
|  | const T7 & | t7 = `T7()`,
|  | const T8 & | t8 = `T8()`
| ) |  | `[inline]`

template<typename T1 = MethodInvocationContextTypes::Nil, typename T2 = MethodInvocationContextTypes::Nil, typename T3 = MethodInvocationContextTypes::Nil, typename T4 = MethodInvocationContextTypes::Nil, typename T5 = MethodInvocationContextTypes::Nil, typename T6 = MethodInvocationContextTypes::Nil, typename T7 = MethodInvocationContextTypes::Nil, typename T8 = MethodInvocationContextTypes::Nil>

void Tp::MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 >::setFinishedWithError | ( | const QString & | errorName,
|  | const QString & | errorMessage
| ) |  | `[inline]`

template<typename T1 = MethodInvocationContextTypes::Nil, typename T2 = MethodInvocationContextTypes::Nil, typename T3 = MethodInvocationContextTypes::Nil, typename T4 = MethodInvocationContextTypes::Nil, typename T5 = MethodInvocationContextTypes::Nil, typename T6 = MethodInvocationContextTypes::Nil, typename T7 = MethodInvocationContextTypes::Nil, typename T8 = MethodInvocationContextTypes::Nil>
template<int Index>

Select<Index>::Type Tp::MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 >::argumentAt | ( |  | ) | const`[inline]`

template<typename T1 = MethodInvocationContextTypes::Nil, typename T2 = MethodInvocationContextTypes::Nil, typename T3 = MethodInvocationContextTypes::Nil, typename T4 = MethodInvocationContextTypes::Nil, typename T5 = MethodInvocationContextTypes::Nil, typename T6 = MethodInvocationContextTypes::Nil, typename T7 = MethodInvocationContextTypes::Nil, typename T8 = MethodInvocationContextTypes::Nil>

virtual void Tp::MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 >::onFinished | ( |  | ) | `[inline, protected, virtual]`